extends KinematicBody2D

var au_sol = true
const UP = Vector2(0,-1)
const GRAVITY = 20
const MAXFALLSPEED = 400
var MAXSPEED = 200
const JUMPFORCE = 350
var jump_count = 0
var ACCEL = 200
var mouvement = Vector2()


func _ready():
	pass
	
	
func _physics_process(delta):
	
	mouvement.y += GRAVITY
	if mouvement.y > MAXFALLSPEED:
		mouvement.y = MAXFALLSPEED
	
	mouvement.x = clamp(mouvement.x,-MAXSPEED,MAXSPEED)

	if Input.is_action_pressed("ui_right"):
		mouvement.x += ACCEL
	elif Input.is_action_pressed("ui_left"):
		mouvement.x += -ACCEL
	else:
		mouvement.x = lerp(mouvement.x,0,0.2)
	
	if Input.is_action_just_pressed("ui_up"):
		if jump_count < 1:
			jump_count += 1
			mouvement.y = -JUMPFORCE
			au_sol = false
	
	if is_on_floor():
		au_sol = true
		jump_count = 0
	else:
		au_sol = false
	
	mouvement = move_and_slide(mouvement, UP)
